Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157316 - Smbd - cannot connect to CUPS port
Summary: Smbd - cannot connect to CUPS port
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 16:12 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-12 05:16:24 UTC


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-05-10 16:12:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
Samba denials, generated by connecting from a windows machine.
Port 631 is CUPS - it's probably trying to list attached printers.

audit(1115733990.111:0): avc:  denied  { connect } for  scontext=system_u:system_r:smbd_t tcontext=system_u:system_r:smbd_t tclass=tcp_socket
audit(1115733990.111:0): avc:  denied  { name_connect } for  dest=631 scontext=system_u:system_r:smbd_t tcontext=system_u:object_r:ipp_port_t tclass=tcp_socket


Version-Release number of selected component (if applicable):
selinux-policy-strict-1.23.15-1

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

Comment 1 Daniel Walsh 2005-05-10 17:29:10 UTC
Are you running NIS without allow_ypbind running?

Why would snmp be attempting to connect to ipp_port?

Comment 2 Ivan Gyurdiev 2005-05-10 17:46:48 UTC
I don't use NIS. This is smbd, not snmp - I think it's just trying to
deal with the [printers] share, so it contacts CUPS.


Comment 3 Daniel Walsh 2005-05-10 18:01:57 UTC
Sorry misread.  Ok I will add perms to allow this?

We used to see apps trying to connect to lpp port all the time when portmap
would return it.

Fixed in policy 1.23.15-4


Note You need to log in before you can comment on or make changes to this bug.